summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-01-16 03:38:10 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-01-16 03:38:10 +0000
commitfd9dbf197719e782a914856f02ee233e9bc5e5d3 (patch)
treed6b03c8f95bcd772ada5f71e416525f9feb8cd01 /eclass
parentStable on SPARC. (diff)
downloadhistorical-fd9dbf197719e782a914856f02ee233e9bc5e5d3.tar.gz
historical-fd9dbf197719e782a914856f02ee233e9bc5e5d3.tar.bz2
historical-fd9dbf197719e782a914856f02ee233e9bc5e5d3.zip
Added java_remove-libjsoundalsa for dealing with bug #115734.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java.eclass17
1 files changed, 15 insertions, 2 deletions
diff --git a/eclass/java.eclass b/eclass/java.eclass
index ee5057613a36..022a68f09479 100644
--- a/eclass/java.eclass
+++ b/eclass/java.eclass
@@ -1,13 +1,14 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java.eclass,v 1.24 2006/01/14 21:31:31 nichoj Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java.eclass,v 1.25 2006/01/16 03:38:10 nichoj Exp $
#
# Author: Karl Trygve Kalleberg <karltk@gentoo.org>
inherit eutils
DESCRIPTION="Based on the $ECLASS eclass"
-DEPEND=">=dev-java/java-config-1.2.11"
+DEPEND=">=dev-java/java-config-1.2.11
+ sys-apps/findutils"
RDEPEND=">=dev-java/java-config-1.2.11"
VMHANDLE=${PN}-${PV}
@@ -102,3 +103,15 @@ java_mozilla_clean_() {
rm -f ${file}
done
}
+
+# Use this to remove libjsoundalsa.so from ${D}.
+# You generally would want to use this like:
+# use !alsa && java_remove-libjoundalsa /opt/${P}
+java_remove-libjsoundalsa() {
+ [[ ${#} -ne 1 ]] && die "Expected one argument"
+ local search_path="$@"
+ local libs=$(find ${D}/${search_path} -name libjsoundalsa.so)
+ if [[ -n ${libs} ]]; then
+ rm ${libs} || die "Failed to delete ${libs}"
+ fi
+}